cURL
curl --request POST \
--url https://api.example.com/public/v2/companies \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>",
"name": "<string>",
"company_status": "<string>",
"company_custom_fields": [
{
"field_name": "<string>",
"field_value": "<string>"
}
]
}
'import requests
url = "https://api.example.com/public/v2/companies"
payload = {
"domain": "<string>",
"name": "<string>",
"company_status": "<string>",
"company_custom_fields": [
{
"field_name": "<string>",
"field_value": "<string>"
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
domain: '<string>',
name: '<string>',
company_status: '<string>',
company_custom_fields: [{field_name: '<string>', field_value: '<string>'}]
})
};
fetch('https://api.example.com/public/v2/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"updated_time": "2023-11-07T05:31:56Z",
"domain": "<string>",
"previous_status": "<string>",
"status_changed_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"company_status": "<string>",
"company_custom_fields": [
{
"id": 123,
"updated_time": "2023-11-07T05:31:56Z",
"field_name": "<string>",
"field_value": "<string>"
}
]
}Companies
Create Company
Creates a new company in the system with the provided details.
POST
/
public
/
v2
/
companies
cURL
Query Parameters
Format of custom fields in response. NESTED returns array of objects with id, field_name, field_value. FLAT returns object with field names as keys.
Available options:
FLAT, NESTED Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
Created. The company was successfully created. If a company with this domain already exists for the client, this endpoint still returns 201, with body {"id": <existing_company_id>, "duplicate": "YES", "warning": "A Company with this domain already exists for this client"} instead of creating a new record — check the response body, not the status code, to detect a duplicate.
Was this page helpful?